Package fr.gouv.vitam.metadata.core.config

# Class MetaDataConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl
fr.gouv.vitam.metadata.core.config.MetaDataConfiguration

All Implemented Interfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class MetaDataConfiguration extends DbConfigurationImpl
MetaDataConfiguration contains database access informations

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaDataConfiguration()`
  MetaDataConfiguration empty constructor for YAMLFactory
  `MetaDataConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes)`
  MetaDataConfiguration constructor
  `MetaDataConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes, boolean dbAuthentication, String dbUserName, String dbPassword)`
  MetaDataConfiguration constructor with authentication

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getArchiveUnitProfileCacheMaxEntries()`
  `int`
  `getArchiveUnitProfileCacheTimeoutInSeconds()`
  `String`
  `getBaseUrl()`
  `String`
  `getClusterName()`
  `Boolean`
  `getCollectModule()`
  `String`
  `getContextPath()`
  `int`
  `getCriticalDipTimeToLiveInMinutes()`
  `Integer`
  `getDataConsistencyAuditOplogMaxSize()`
  `int`
  `getDipTimeToLiveInMinutes()`
  `String`
  `getElasticsearchConfigurationFile()`
  `List<ElasticsearchNode>`
  `getElasticsearchNodes()`
  `MetadataIndexationConfiguration`
  `getIndexationConfiguration()`
  `boolean`
  `getIsDataConsistencyAuditRunnable()`
  `MongoDbShardConf`
  `getMongodShardsConf()`
  `short`
  `getObjectsStreamExecutionLimit()`
  `long`
  `getObjectsStreamThreshold()`
  `int`
  `getPersistentIdentifierReconstructionBulkSize()`
  `long`
  `getPersistentIdentifierReconstructionDelayInMinutes()`
  `int`
  `getPersistentIdentifierReconstructionThreadPoolSize()`
  `int`
  `getReconstructionMetricsCacheDurationInMinutes()`
  `boolean`
  `getRefreshElasticIndexPostBulkIndexing()`
  `int`
  `getSchemaValidatorCacheMaxEntries()`
  `int`
  `getSchemaValidatorCacheTimeoutInSeconds()`
  `TimeToLiveConfiguration`
  `getTimeToLiveConfiguration()`
  `int`
  `getTransfersSIPTimeToLiveInMinutes()`
  `short`
  `getUnitsStreamExecutionLimit()`
  `long`
  `getUnitsStreamThreshold()`
  `String`
  `getUrlProcessing()`
  `VirtualPathsConfiguration`
  `getVirtualPathsConfiguration()`
  `String`
  `getWorkspaceUrl()`
  `boolean`
  `isEnableDataConsistencyRectificationMode()`
  `MetaDataConfiguration`
  `setArchiveUnitProfileCacheMaxEntries(int archiveUnitProfileCacheMaxEntries)`
  `MetaDataConfiguration`
  `setArchiveUnitProfileCacheTimeoutInSeconds(int archiveUnitProfileCacheTimeoutInSeconds)`
  `MetaDataConfiguration`
  `setClusterName(String clusterName)`
  `void`
  `setCollectModule(Boolean collectModule)`
  `MetaDataConfiguration`
  `setContextPath(String contextPath)`
  `void`
  `setCriticalDipTimeToLiveInMinutes(int criticalDipTimeToLiveInMinutes)`
  `void`
  `setDataConsistencyAuditOplogMaxSize(Integer dataConsistencyAuditOplogMaxSize)`
  `void`
  `setDipTimeToLiveInMinutes(int dipTimeToLiveInMinutes)`
  `void`
  `setElasticsearchConfigurationFile(String elasticsearchConfigurationFile)`
  `MetaDataConfiguration`
  `setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)`
  `MetaDataConfiguration`
  `setEnableDataConsistencyRectificationMode(boolean enableDataConsistencyRectificationMode)`
  `MetaDataConfiguration`
  `setIndexationConfiguration(MetadataIndexationConfiguration indexationConfiguration)`
  `void`
  `setIsDataConsistencyAuditRunnable(boolean dataConsistencyAuditRunnable)`
  `void`
  `setMongodShardsConf(MongoDbShardConf mongodShardsConf)`
  `void`
  `setObjectsStreamExecutionLimit(short objectsStreamExecutionLimit)`
  `void`
  `setObjectsStreamThreshold(long objectsStreamThreshold)`
  `void`
  `setPersistentIdentifierReconstructionBulkSize(int persistentIdentifierReconstructionBulkSize)`
  `void`
  `setPersistentIdentifierReconstructionDelayInMinutes(long persistentIdentifierReconstructionDelayInMinutes)`
  `void`
  `setPersistentIdentifierReconstructionThreadPoolSize(int persistentIdentifierReconstructionThreadPoolSize)`
  `void`
  `setReconstructionMetricsCacheDurationInMinutes(int reconstructionMetricsCacheDurationInMinutes)`
  `void`
  `setRefreshElasticIndexPostBulkIndexing(Boolean refreshElasticIndexPostBulkIndexing)`
  `MetaDataConfiguration`
  `setSchemaValidatorCacheMaxEntries(int schemaValidatorCacheMaxEntries)`
  `MetaDataConfiguration`
  `setSchemaValidatorCacheTimeoutInSeconds(int schemaValidatorCacheTimeoutInSeconds)`
  `void`
  `setTransfersSIPTimeToLiveInMinutes(int transfersSIPTimeToLiveInMinutes)`
  `void`
  `setUnitsStreamExecutionLimit(short unitsStreamExecutionLimit)`
  `void`
  `setUnitsStreamThreshold(long unitsStreamThreshold)`
  `void`
  `setUrlProcessing(String urlProcessing)`
  `MetaDataConfiguration`
  `setVirtualPathsConfiguration(VirtualPathsConfiguration virtualPathsConfiguration)`
  `MetaDataConfiguration`
  `setWorkspaceUrl(String workspaceUrl)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl

  `getDbName, getDbPassword, getDbUserName, getMongoDbNodes, isDbAuthentication, setDbAuthentication, setDbName, setDbPassword, setDbUserName, setMongoDbNodes`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfiguration

  `isEnableSession, isEnableXsrFilter, setEnableSession, setEnableXsrFilter`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getJettyConfig, isAuthentication, isTenantFilter, setAuthentication, setBaseUri, setBaseUrl, setJettyConfig, setTenantFilter`

- ## Constructor Details

  - ### MetaDataConfiguration

    public MetaDataConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes)
    MetaDataConfiguration constructor
    Parameters:
      `mongoDbNodes` - database server IP addresses and ports
      `dbName` - database name
      `clusterName` - cluster name
      `elasticsearchNodes` - elasticsearch nodes

  - ### MetaDataConfiguration

    public MetaDataConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes, boolean dbAuthentication, String dbUserName, String dbPassword)
    MetaDataConfiguration constructor with authentication
    Parameters:
      `mongoDbNodes` - database server IP addresses and ports
      `dbName` - database name
      `clusterName` - cluster name
      `elasticsearchNodes` - elasticsearch nodes
      `dbAuthentication` - if authentication mode
      `dbUserName` - db user name
      `dbPassword` - db password

  - ### MetaDataConfiguration

    public MetaDataConfiguration()
    MetaDataConfiguration empty constructor for YAMLFactory

- ## Method Details

  - ### getContextPath

    public String getContextPath()
    Returns:
      the contextPath

  - ### setContextPath

    public MetaDataConfiguration setContextPath(String contextPath)
    Parameters:
      `contextPath` - the contextPath to set
    Returns:
      this

  - ### getCollectModule

    public Boolean getCollectModule()

  - ### setCollectModule

    public void setCollectModule(Boolean collectModule)

  - ### getClusterName

    public String getClusterName()
    Returns:
      the clusterName

  - ### setClusterName

    public MetaDataConfiguration setClusterName(String clusterName)
    Parameters:
      `clusterName` - the clusterName to set
    Returns:
      this

  - ### getElasticsearchNodes

    public List<ElasticsearchNode> getElasticsearchNodes()
    Returns:
      the elasticsearchNodes

  - ### setElasticsearchNodes

    public MetaDataConfiguration setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)
    Parameters:
      `elasticsearchNodes` - the elasticsearchNodes to set
    Returns:
      MetaDataConfiguration

  - ### getWorkspaceUrl

    public String getWorkspaceUrl()

  - ### setWorkspaceUrl

    public MetaDataConfiguration setWorkspaceUrl(String workspaceUrl)

  - ### getArchiveUnitProfileCacheMaxEntries

    public int getArchiveUnitProfileCacheMaxEntries()

  - ### setArchiveUnitProfileCacheMaxEntries

    public MetaDataConfiguration setArchiveUnitProfileCacheMaxEntries(int archiveUnitProfileCacheMaxEntries)

  - ### getArchiveUnitProfileCacheTimeoutInSeconds

    public int getArchiveUnitProfileCacheTimeoutInSeconds()

  - ### setArchiveUnitProfileCacheTimeoutInSeconds

    public MetaDataConfiguration setArchiveUnitProfileCacheTimeoutInSeconds(int archiveUnitProfileCacheTimeoutInSeconds)

  - ### getSchemaValidatorCacheMaxEntries

    public int getSchemaValidatorCacheMaxEntries()

  - ### setSchemaValidatorCacheMaxEntries

    public MetaDataConfiguration setSchemaValidatorCacheMaxEntries(int schemaValidatorCacheMaxEntries)

  - ### getSchemaValidatorCacheTimeoutInSeconds

    public int getSchemaValidatorCacheTimeoutInSeconds()

  - ### setSchemaValidatorCacheTimeoutInSeconds

    public MetaDataConfiguration setSchemaValidatorCacheTimeoutInSeconds(int schemaValidatorCacheTimeoutInSeconds)

  - ### getUrlProcessing

    public String getUrlProcessing()

  - ### setUrlProcessing

    public void setUrlProcessing(String urlProcessing)

  - ### getDipTimeToLiveInMinutes

    public int getDipTimeToLiveInMinutes()

  - ### setDipTimeToLiveInMinutes

    public void setDipTimeToLiveInMinutes(int dipTimeToLiveInMinutes)

  - ### getTransfersSIPTimeToLiveInMinutes

    public int getTransfersSIPTimeToLiveInMinutes()

  - ### setTransfersSIPTimeToLiveInMinutes

    public void setTransfersSIPTimeToLiveInMinutes(int transfersSIPTimeToLiveInMinutes)

  - ### getCriticalDipTimeToLiveInMinutes

    public int getCriticalDipTimeToLiveInMinutes()

  - ### setCriticalDipTimeToLiveInMinutes

    public void setCriticalDipTimeToLiveInMinutes(int criticalDipTimeToLiveInMinutes)

  - ### getUnitsStreamThreshold

    public long getUnitsStreamThreshold()

  - ### setUnitsStreamThreshold

    public void setUnitsStreamThreshold(long unitsStreamThreshold)

  - ### getObjectsStreamThreshold

    public long getObjectsStreamThreshold()

  - ### setObjectsStreamThreshold

    public void setObjectsStreamThreshold(long objectsStreamThreshold)

  - ### getUnitsStreamExecutionLimit

    public short getUnitsStreamExecutionLimit()

  - ### setUnitsStreamExecutionLimit

    public void setUnitsStreamExecutionLimit(short unitsStreamExecutionLimit)

  - ### getObjectsStreamExecutionLimit

    public short getObjectsStreamExecutionLimit()

  - ### setObjectsStreamExecutionLimit

    public void setObjectsStreamExecutionLimit(short objectsStreamExecutionLimit)

  - ### getIndexationConfiguration

    public MetadataIndexationConfiguration getIndexationConfiguration()

  - ### setIndexationConfiguration

    public MetaDataConfiguration setIndexationConfiguration(MetadataIndexationConfiguration indexationConfiguration)

  - ### getIsDataConsistencyAuditRunnable

    public boolean getIsDataConsistencyAuditRunnable()

  - ### setIsDataConsistencyAuditRunnable

    public void setIsDataConsistencyAuditRunnable(boolean dataConsistencyAuditRunnable)

  - ### isEnableDataConsistencyRectificationMode

    public boolean isEnableDataConsistencyRectificationMode()

  - ### setEnableDataConsistencyRectificationMode

    public MetaDataConfiguration setEnableDataConsistencyRectificationMode(boolean enableDataConsistencyRectificationMode)

  - ### getDataConsistencyAuditOplogMaxSize

    public Integer getDataConsistencyAuditOplogMaxSize()

  - ### setDataConsistencyAuditOplogMaxSize

    public void setDataConsistencyAuditOplogMaxSize(Integer dataConsistencyAuditOplogMaxSize)

  - ### getMongodShardsConf

    public MongoDbShardConf getMongodShardsConf()

  - ### setMongodShardsConf

    public void setMongodShardsConf(MongoDbShardConf mongodShardsConf)

  - ### getTimeToLiveConfiguration

    public TimeToLiveConfiguration getTimeToLiveConfiguration()

  - ### getReconstructionMetricsCacheDurationInMinutes

    public int getReconstructionMetricsCacheDurationInMinutes()

  - ### setReconstructionMetricsCacheDurationInMinutes

    public void setReconstructionMetricsCacheDurationInMinutes(int reconstructionMetricsCacheDurationInMinutes)

  - ### getPersistentIdentifierReconstructionDelayInMinutes

    public long getPersistentIdentifierReconstructionDelayInMinutes()

  - ### setPersistentIdentifierReconstructionDelayInMinutes

    public void setPersistentIdentifierReconstructionDelayInMinutes(long persistentIdentifierReconstructionDelayInMinutes)

  - ### getBaseUrl

    public String getBaseUrl()

  - ### getPersistentIdentifierReconstructionThreadPoolSize

    public int getPersistentIdentifierReconstructionThreadPoolSize()

  - ### setPersistentIdentifierReconstructionThreadPoolSize

    public void setPersistentIdentifierReconstructionThreadPoolSize(int persistentIdentifierReconstructionThreadPoolSize)

  - ### getPersistentIdentifierReconstructionBulkSize

    public int getPersistentIdentifierReconstructionBulkSize()

  - ### setPersistentIdentifierReconstructionBulkSize

    public void setPersistentIdentifierReconstructionBulkSize(int persistentIdentifierReconstructionBulkSize)

  - ### getRefreshElasticIndexPostBulkIndexing

    public boolean getRefreshElasticIndexPostBulkIndexing()

  - ### setRefreshElasticIndexPostBulkIndexing

    public void setRefreshElasticIndexPostBulkIndexing(Boolean refreshElasticIndexPostBulkIndexing)

  - ### getElasticsearchConfigurationFile

    public String getElasticsearchConfigurationFile()

  - ### setElasticsearchConfigurationFile

    public void setElasticsearchConfigurationFile(String elasticsearchConfigurationFile)

  - ### getVirtualPathsConfiguration

    public VirtualPathsConfiguration getVirtualPathsConfiguration()

  - ### setVirtualPathsConfiguration

    public MetaDataConfiguration setVirtualPathsConfiguration(VirtualPathsConfiguration virtualPathsConfiguration)